package org.processmining.xeslite.plugin;

import java.io.InputStream;

import org.deckfour.xes.factory.XFactory;
import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.xeslite.lite.factory.XFactoryLiteImpl;

/**
 * Open XES/MXML log using a lightweight implementation {@link XFactoryLiteImpl}
 * for XES objects.
 * 
 * @author F. Mannhardt
 * 
 */
@Plugin(name = "Open XES Log File (Lightweight & Sequential IDs)", //\
level = PluginLevel.PeerReviewed, parameterLabels = { "Filename" }, returnLabels = { "Log (single process)" }, returnTypes = { XLog.class })
@UIImportPlugin(description = "ProM log files (Lightweight & Sequential IDs)", extensions = { "mxml", "xml", "gz",
		"zip", "xes", "xez" })
public class OpenLogFileLiteImplPlugin extends AbstractOpenLogFileLitePlugin {

	protected Object importFromStream(PluginContext context, InputStream input, String filename, long fileSizeInBytes)
			throws Exception {
		return importFromUsingFactory(context, input, filename, fileSizeInBytes, new XFactoryLiteImpl());
	}

	protected void beforeParse(XFactory factory) {
	}

	protected void afterParse(XFactory factory) {
	}

}